#include <stdio.h>
#include <stdlib.h>
int main()
{
    long long int A, B, C;
    scanf("%lli %lli %lli",&A,&B,&C);
    long long int fA = A;
    long long int fB = B;
    long long int fC = C;

    int nizA[18] = {9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9};
    int nizB[18] = {9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9};
    int nizC[18] = {9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9};

    nizA[0] = A % 10;
    nizB[0] = B % 10;
    nizC[0] = C % 10;

    int lenA = 1, lenB = 1, lenC = 1;
    for (int len = 0;fA > 10 || fB > 10 || fC > 10; len++){
        if (fA > 10) {
            nizA[len] = fA % 10;
            lenA++;
            fA /= 10;
        }
        if (fB > 10) {
            nizB[len] = fB % 10;
            lenB++;
            fB /= 10;
        }
        if (fC > 10) {
            nizC[len] = fC % 10;
            lenC++;
            printf("ADD\n");
            fC /= 10;
        }
    }
    int lenAB;
    int lenAC;
    int lenBC;

    if(lenA > lenB)
        lenAB = lenA;
    else
        lenAB = lenB;
    if(lenA > lenC)
        lenAC = lenA;
    else
        lenAC = lenC;
    if(lenB > lenC)
        lenBC = lenB;
    else
        lenBC = lenC;

//B A C A3421 B342 C123 - 3421-342

    if (strcmp(nizA,nizB) > 0) {
        if (strcmp(nizA,nizC) > 0){
            if (strcmp(nizB,nizC) > 0){
                printf("%lli%lli%lli",A,B,C);
                return 0;
            }else {
                printf("%lli%lli%lli",A,C,B);
                return 0;
            }
        }else {
            printf("%lli%lli%lli",C,A,B);
            return 0;
        }

    }else {
        if (strcmp(nizC,nizB) > 0) {
            printf("%lli%lli%lli",C,B,A);
            return 0;
        }else {
            if (strcmp(nizA,nizC) > 0){
                printf("%lli%lli%lli",B,A,C);
                return 0;
            }else {
                printf("%lli%lli%lli",B,C,A);
                return 0;
            }
        }

    }

    return 0;
}